Subject: Re: bug#75275: 30.0.92; `make-thread` bug on macOS 15.2

From: Gerd Möllmann <[email-masked]>
Date: Thu, 02 Jan 2025 18:25:46 +0100

Eli Zaretskii <[email-masked]> writes:

> Your change included 2 hunks, and the suggestion is to revert only
> one of them.  My question is whether this is likely to reintroduce
> some regression.

Not that I know of. It restores things to what they were before,
prevents calling NSApplication::run from being called for non main
threads, and the first hunk should still work as before. But note that
Alan thinks differently.